Nav
You are viewing an older version of this section. Click here to navigate to the latest version.

Including the DataMapper Plugin

DataMapper is deprecated as of Mule runtime 3.7.0 and superseded by DataWeave

DataMapper will continue to be fully supported in all current and future versions of Mule ESB 3.x, however it will be removed in Mule 4.0 in favour of the Transform Message component (based on DataWeave code). We recommend that if you wish to take advantage of the new capabilities of DataWeave or if you start new projects, upgrade now.

A migration tool is now included in Studio, which assists in converting a DataMapper map to DataWeave. Right click on a DataMapper, select Migrate to DataWeave, and follow the instructions.

dw migrator

If you don’t see DataMapper on your palette, you can enable it by going to PreferencesAnypoint StudioPalette Profiles and ticking the checkbox Show deprecated Mule Components and Attributes.

If you want to deploy a Mule project that contains a DataMapper transformer in it, consider the following:

  • When deploying through Anypoint Studio, it should still work normally

  • When deploying to CloudHub, it should also work out of the box

  • However, when using for Mule ESB Standalone 3.7.0, you must do the following before you can deploy your application:

    1. Go to the customer portal

    2. Select the Downloads tab

    3. Look in your Mule Runtime version and download the DataMapper plugin that corresponds to your Mule version

    4. Place the downloaded .zip file in the /plugins folder of Mule-Enterprise Standalone